var path   = require('path');
var	_      = require('lodash');
var	yeoman = require('yeoman-generator');

module.exports = yeoman.Base.extend({
	constructor: function () {
		yeoman.Base.apply(this, arguments);

		// This makes `appname` a required argument.
		this.argument('appname', { type: String, required: true, desc: 'Please enter you project name.'});
	},
	initializing: function () {
		var projInfo = {
			title: 'demo'
		}

		this.projInfo = projInfo;
	}
	prompting: function () {
		var done = this.async();
		var prompts = [
			{
				type: 'input',
				name: 'title',
				message: '标题: ',
				default: this.projInfo.title
			},
			// {
			// 	type: 'input',
			// 	name: 'name',
			// 	message: 'Your project name',
			// 	default: this.appname	// Default to current folder name
			// }
		];

		this.log('请按顺序输入以下信息: ');

		this.prompt(prompts, function(answers){
			done();
		});
	},
	writing: function () {
		this.fs.copyTpl(
			this.templatePath('index.html');
			this.destinationPath('index.html');
		);
	},
	install: function () {
		this.installDependencies();
	}
});